from nodebox.graphics import Point
from random import seed as _seed, uniform

def mover(points, distance, seed):
    _seed(seed)
    new_points = []
    for point in points:
        x = point.x + uniform(-distance, distance)
        y = point.y + uniform(-distance, distance)
        new_points.append(Point(x, y))
    return new_points
